> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/help-center/getting-started/start-using-web-unblocker.md).

# Start using Web Unblocker

### Create an API user <a href="#h_2e0b86f660" id="h_2e0b86f660"></a>

Start by registering an account on the [Oxylabs dashboard](https://dashboard.oxylabs.io/en/). Purchase a pricing plan or opt for a free trial. Then, create an API user with custom credentials.

### Make a cURL request <a href="#h_b6115bc7d0" id="h_b6115bc7d0"></a>

You can use this cURL code sample for testing:

```
curl 'https://sandbox.oxylabs.io/products/' -U 'USERNAME:PASSWORD' -x 'unblock.oxylabs.io:60000' -H 'x-oxylabs-geo-location: United States' -k
```

Change the USERNAME and PASSWORD to the API user credentials you’ve just created, paste the code [into your terminal](https://oxylabs.io/resources/integrations/terminal) (or any other setup), and run the command. This will send a basic request to *sandbox.oxylabs.io/products* using a random IP address from the United States.

Check out this video for a quick overview:

{% embed url="<https://www.youtube.com/embed/CVue2OVLPcQ?rel=0>" %}

### ​Location and session parameters <a href="#h_45a53a8eae" id="h_45a53a8eae"></a>

If you want to make requests through a proxy server located in a specific country, refer to this [Geo-location](/products/web-unblocker/making-requests/geo-location.md) page in our documentation.\
​

For [Amazon](/api-targets/e-commerce/amazon.md) and [Google](/api-targets/search-engines/google.md) targets, you should use different targeting options. All the geo-targeting settings are free of charge.

In case you need to control your session time for a particular IP address, you can find all the information on this [Session](https://developers.oxylabs.io/advanced-proxy-solutions/web-unblocker/making-requests/session) page.

### Using Custom Browser Instructions <a href="#h_3179d081aa" id="h_3179d081aa"></a>

To enable JavaScript rendering of a page via the [Custom Browser Instructions](/products/web-unblocker/custom-browser-instructions.md) feature in the headless mode, you must include the "`X-Oxylabs-Render: html`" with your requests.

When a target website requires specific browser actions to access data, such as clicking elements, inputting text, or scrolling pages, you can utilize specific [browser instructions](/products/web-unblocker/custom-browser-instructions/browser-instructions-beta.md).

***

<a href="https://dashboard.oxylabs.io/en/" class="button primary">Head back to the dashboard</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.oxylabs.io/help-center/getting-started/start-using-web-unblocker.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
